# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2021-12-29 08:26
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('schedule', models.DateTimeField(verbose_name='Fecha agendada')),
                ('title', models.CharField(max_length=255, verbose_name='T\xedtulo')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creaci\xf3n')),
                ('updated_at', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de actualizaci\xf3n')),
                ('status', models.CharField(choices=[('active', 'Activa'), ('done', 'Realizada'), ('cancelled', 'Cancelada')], default='active', max_length=35)),
            ],
            options={
                'verbose_name': 'Actividad',
                'verbose_name_plural': 'Actividades',
            },
        ),
        migrations.CreateModel(
            name='Property',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='T\xedtulo')),
                ('address', models.TextField(verbose_name='Direcci\xf3n')),
                ('description', models.TextField(verbose_name='Descripci\xf3n')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Fecha y hora de creaci\xf3n')),
                ('updated_at', models.DateTimeField(auto_now_add=True, verbose_name='Fecha y hora  de actualizaci\xf3n')),
                ('disabled_at', models.DateTimeField(blank=True, null=True, verbose_name='Fecha y hora en que se desactivo')),
                ('status', models.CharField(choices=[('active', 'Activa'), ('disable', 'Desactivada')], default='active', max_length=35)),
            ],
            options={
                'verbose_name': 'Propiedad',
                'verbose_name_plural': 'Propiedades',
            },
        ),
        migrations.CreateModel(
            name='Survey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('answers', django.contrib.postgres.fields.jsonb.JSONField(verbose_name='Respuestas')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creaci\xf3n')),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='activity.Activity', verbose_name='Actividad')),
            ],
            options={
                'verbose_name': 'Encuesta',
                'verbose_name_plural': 'Encuestas',
            },
        ),
        migrations.AddField(
            model_name='activity',
            name='property',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='activity.Property', verbose_name='Propiedad'),
        ),
    ]
